"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FacadesBearerTokenVerifyProvider = void 0;
const tslib_1 = require("tslib");
const context_1 = require("@loopback/context");
const rest_1 = require("@loopback/rest");
let FacadesBearerTokenVerifyProvider = /** @class */ (() => {
    let FacadesBearerTokenVerifyProvider = class FacadesBearerTokenVerifyProvider {
        constructor(authService) {
            this.authService = authService;
        }
        value() {
            return async (token, req) => {
                try {
                    if (!req || !req.headers) {
                        throw new rest_1.HttpErrors.Unauthorized("Token Invalid" /* TokenInvalid */);
                    }
                    return await this.authService.getme(req.headers.authorization);
                }
                catch (error) {
                    throw new rest_1.HttpErrors.Unauthorized('TokenExpired');
                }
            };
        }
    };
    FacadesBearerTokenVerifyProvider = tslib_1.__decorate([
        tslib_1.__param(0, context_1.inject('services.AuthenticationService')),
        tslib_1.__metadata("design:paramtypes", [Object])
    ], FacadesBearerTokenVerifyProvider);
    return FacadesBearerTokenVerifyProvider;
})();
exports.FacadesBearerTokenVerifyProvider = FacadesBearerTokenVerifyProvider;
//# sourceMappingURL=facades-bearer-token-verify.provider.js.map