"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.rateLimitKeyGenPublic = exports.rateLimitKeyGen = exports.getDOBFromAge = exports.getAge = exports.getErrorString = void 0;
const tslib_1 = require("tslib");
const lodash_1 = require("lodash");
const moment_1 = tslib_1.__importDefault(require("moment"));
// sonarignore:start
/* eslint-disable @typescript-eslint/no-explicit-any */
exports.getErrorString = (error) => {
    // sonarignore:end
    if (lodash_1.isString(error)) {
        return error;
    }
    else if (JSON.stringify(error) !== '{}') {
        return JSON.stringify(error);
    }
    else {
        return error;
    }
};
exports.getAge = (dob) => {
    const currentMoment = moment_1.default();
    const dobMoment = moment_1.default(dob);
    return currentMoment.diff(dobMoment, 'years');
};
exports.getDOBFromAge = (age) => {
    const dobMoment = moment_1.default().subtract(age, 'years');
    return dobMoment.toDate();
};
exports.rateLimitKeyGen = (req) => {
    return ((req.headers &&
        req.headers.authorization &&
        req.headers.authorization.replace(/bearer /i, '')) ||
        req.ip);
};
exports.rateLimitKeyGenPublic = (req) => `${req.ip}_${req.method}_${req.url}`;
//# sourceMappingURL=utils.js.map